高危 Linux eBPF本地提权漏洞(CVE-2021-3490)

CVE编号

CVE-2021-3490

利用情况

EXP 已公开

补丁情况

官方补丁

披露时间

2021-06-04
该漏洞EXP已公开传播,漏洞利用成本极低,建议您立即关注并修复。
漏洞描述
近日,监测到有研究人员公开披露了eBPF中的一个任意代码执行漏洞(CVE-2021-3490)的细节信息和PoC,并演示利用此漏洞在Ubuntu 20.10 和 21.04上实现本地权限提升,该漏洞是由于Linux内核中按位操作(AND、OR 和 XOR)的 eBPF ALU32 边界跟踪没有正确更新 32 位边界,造成 Linux 内核中的越界读取和写入,从而导致任意代码执行。官方已于5月11号发布修复版本,请相关用户及时采取措施防护。

ExtendedBerkeley Packet Filter(eBPF)是一种内核技术(从Linux 4.x开始),允许程序运行而无需改变内核源代码或添加额外的模块。它是Linux内核中的一种轻量级的沙盒虚拟机(VM),可以在其中运行利用特定内核资源的BPF字节码。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 amazon_2 kernel * Up to
(excluding)
5.10.47-39.130.amzn2
运行在以下环境
系统 canonical ubuntu_linux 20.04 -
运行在以下环境
系统 canonical ubuntu_linux 20.10 -
运行在以下环境
系统 canonical ubuntu_linux 21.04 -
运行在以下环境
系统 fedora_32 kernel * Up to
(excluding)
5.11.20-100.fc32
运行在以下环境
系统 fedora_33 kernel * Up to
(excluding)
5.11.20-200.fc33
运行在以下环境
系统 fedora_34 kernel * Up to
(excluding)
5.11.20-300.fc34
运行在以下环境
系统 linux linux_kernel * From
(including)
5.10
Up to
(excluding)
5.10.37
运行在以下环境
系统 linux linux_kernel * From
(including)
5.11
Up to
(excluding)
5.11.21
运行在以下环境
系统 linux linux_kernel * From
(including)
5.12
Up to
(excluding)
5.12.4
运行在以下环境
系统 linux linux_kernel 5.13 -
运行在以下环境
系统 opensuse_Leap_15.3 kernel * Up to
(excluding)
5.3.18-38.3.1
运行在以下环境
系统 opensuse_Leap_15.3 kernel * Up to
(excluding)
5.3.18-59.5.2
运行在以下环境
系统 ubuntu_18.04 kernel * Up to
(excluding)
5.4.0-1010.11~18.04.2
运行在以下环境
系统 ubuntu_20.04 kernel * Up to
(excluding)
5.8.0-25.27~20.04.1
运行在以下环境
系统 ubuntu_21.04 kernel * Up to
(excluding)
5.11.0-1008.8
运行在以下环境
系统 ubuntu_21.10 kernel * Up to
(excluding)
5.11.0-1007.7+21.10.1
阿里云评分
8.4
  • 攻击路径
    本地
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    全局影响
  • EXP成熟度
    EXP 已公开
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-125 跨界内存读
CWE-787 跨界内存写
阿里云安全产品覆盖情况